diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/comment-template.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/comment-template.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/comment-template.php	2013-08-28 00:28:12.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/comment-template.php	2013-09-23 18:29:11.000000000 -0500
***************
*** 15,50 ****
   * assumed.
   *
   * @since 1.5.0
-  * @uses apply_filters() Calls 'get_comment_author' hook on the comment author
   *
!  * @param int $comment_ID The ID of the comment for which to retrieve the author. Optional.
   * @return string The comment author
   */
  function get_comment_author( $comment_ID = 0 ) {
  	$comment = get_comment( $comment_ID );
! 	if ( empty($comment->comment_author) ) {
! 		if (!empty($comment->user_id)){
! 			$user=get_userdata($comment->user_id);
! 			$author=$user->user_login;
! 		} else {
  			$author = __('Anonymous');
- 		}
  	} else {
  		$author = $comment->comment_author;
  	}
! 	return apply_filters('get_comment_author', $author);
  }
  
  /**
   * Displays the author of the current comment.
   *
   * @since 0.71
-  * @uses apply_filters() Calls 'comment_author' on comment author before displaying
   *
!  * @param int $comment_ID The ID of the comment for which to print the author. Optional.
   */
  function comment_author( $comment_ID = 0 ) {
! 	$author = apply_filters('comment_author', get_comment_author( $comment_ID ) );
  	echo $author;
  }
  
--- 15,63 ----
   * assumed.
   *
   * @since 1.5.0
   *
!  * @param int $comment_ID Optional. The ID of the comment for which to retrieve the author. Default current comment.
   * @return string The comment author
   */
  function get_comment_author( $comment_ID = 0 ) {
  	$comment = get_comment( $comment_ID );
! 
! 	if ( empty( $comment->comment_author ) ) {
! 		if ( $comment->user_id && $user = get_userdata( $comment->user_id ) )
! 			$author = $user->display_name;
! 		else
  			$author = __('Anonymous');
  	} else {
  		$author = $comment->comment_author;
  	}
! 
! 	/**
! 	 * Filter the returned comment author name.
! 	 *
! 	 * @since 1.5.2
! 	 *
! 	 * @param string $author The comment author's username.
! 	 */
! 	return apply_filters( 'get_comment_author', $author );
  }
  
  /**
   * Displays the author of the current comment.
   *
   * @since 0.71
   *
!  * @param int $comment_ID Optional. The ID of the comment for which to print the author. Default current comment.
   */
  function comment_author( $comment_ID = 0 ) {
! 	$author = get_comment_author( $comment_ID );
! 	/**
! 	 * Filter the comment author's name for display.
! 	 *
! 	 * @since 1.2.1
! 	 *
! 	 * @param string $author The comment author's username.
! 	 */
! 	$author = apply_filters( 'comment_author', $author );
  	echo $author;
  }
  
***************
*** 52,66 ****
   * Retrieve the email of the author of the current comment.
   *
   * @since 1.5.0
-  * @uses apply_filters() Calls the 'get_comment_author_email' hook on the comment author email
-  * @uses $comment
   *
!  * @param int $comment_ID The ID of the comment for which to get the author's email. Optional.
   * @return string The current comment author's email
   */
  function get_comment_author_email( $comment_ID = 0 ) {
  	$comment = get_comment( $comment_ID );
! 	return apply_filters('get_comment_author_email', $comment->comment_author_email);
  }
  
  /**
--- 65,84 ----
   * Retrieve the email of the author of the current comment.
   *
   * @since 1.5.0
   *
!  * @param int $comment_ID Optional. The ID of the comment for which to get the author's email. Default current comment.
   * @return string The current comment author's email
   */
  function get_comment_author_email( $comment_ID = 0 ) {
  	$comment = get_comment( $comment_ID );
! 	/**
! 	 * Filter the comment author's returned email address.
! 	 *
! 	 * @since 1.5.2
! 	 *
! 	 * @param string $comment->comment_author_email The comment author's email address.
! 	 */
! 	return apply_filters( 'get_comment_author_email', $comment->comment_author_email );
  }
  
  /**
***************
*** 73,84 ****
   * address and use it for their own means good and bad.
   *
   * @since 0.71
-  * @uses apply_filters() Calls 'author_email' hook on the author email
   *
!  * @param int $comment_ID The ID of the comment for which to print the author's email. Optional.
   */
  function comment_author_email( $comment_ID = 0 ) {
! 	echo apply_filters('author_email', get_comment_author_email( $comment_ID ) );
  }
  
  /**
--- 91,109 ----
   * address and use it for their own means good and bad.
   *
   * @since 0.71
   *
!  * @param int $comment_ID Optional. The ID of the comment for which to print the author's email. Default current comment.
   */
  function comment_author_email( $comment_ID = 0 ) {
! 	$author_email = get_comment_author_email( $comment_ID );
! 	/**
! 	 * Filter the comment author's email for display.
! 	 *
! 	 * @since 1.2.1
! 	 *
! 	 * @param string $author_email The comment author's email address.
! 	 */
! 	echo apply_filters( 'author_email', $author_email );
  }
  
  /**
***************
*** 90,105 ****
   * enable anyone, including those that people don't want to get the email
   * address and use it for their own means good and bad.
   *
-  * @since 0.71
-  * @uses apply_filters() Calls 'comment_email' hook for the display of the comment author's email
-  * @uses get_comment_author_email_link() For generating the link
   * @global object $comment The current Comment row object
   *
!  * @param string $linktext The text to display instead of the comment author's email address
!  * @param string $before The text or HTML to display before the email link.
!  * @param string $after The text or HTML to display after the email link.
   */
! function comment_author_email_link($linktext='', $before='', $after='') {
  	if ( $link = get_comment_author_email_link( $linktext, $before, $after ) )
  		echo $link;
  }
--- 115,129 ----
   * enable anyone, including those that people don't want to get the email
   * address and use it for their own means good and bad.
   *
   * @global object $comment The current Comment row object
+ 
+  * @since 0.71
   *
!  * @param string $linktext Optional. The text to display instead of the comment author's email address. Default empty.
!  * @param string $before   Optional. The text or HTML to display before the email link.Default empty.
!  * @param string $after    Optional. The text or HTML to display after the email link. Default empty.
   */
! function comment_author_email_link( $linktext = '', $before = '', $after = '' ) {
  	if ( $link = get_comment_author_email_link( $linktext, $before, $after ) )
  		echo $link;
  }
***************
*** 113,129 ****
   * enable anyone, including those that people don't want to get the email
   * address and use it for their own means good and bad.
   *
   * @since 2.7
-  * @uses apply_filters() Calls 'comment_email' hook for the display of the comment author's email
-  * @global object $comment The current Comment row object
   *
!  * @param string $linktext The text to display instead of the comment author's email address
!  * @param string $before The text or HTML to display before the email link.
!  * @param string $after The text or HTML to display after the email link.
   */
! function get_comment_author_email_link($linktext='', $before='', $after='') {
  	global $comment;
! 	$email = apply_filters('comment_email', $comment->comment_author_email);
  	if ((!empty($email)) && ($email != '@')) {
  	$display = ($linktext != '') ? $linktext : $email;
  		$return  = $before;
--- 137,163 ----
   * enable anyone, including those that people don't want to get the email
   * address and use it for their own means good and bad.
   *
+  * @global object $comment The current Comment row object.
+  *
   * @since 2.7
   *
!  * @param string $linktext Optional. The text to display instead of the comment author's email address. Default empty.
!  * @param string $before   Optional. The text or HTML to display before the email link. Default empty.
!  * @param string $after    Optional. The text or HTML to display after the email link. Default empty.
   */
! function get_comment_author_email_link( $linktext = '', $before = '', $after = '' ) {
  	global $comment;
! 	/**
! 	 * Filter the comment author's email for display.
! 	 *
! 	 * Care should be taken to protect the email address and assure that email
! 	 * harvesters do not capture your commentors' email address.
! 	 *
! 	 * @since 1.2.1
! 	 *
! 	 * @param string $comment->comment_author_email The comment author's email address.
! 	 */
! 	$email = apply_filters( 'comment_email', $comment->comment_author_email );
  	if ((!empty($email)) && ($email != '@')) {
  	$display = ($linktext != '') ? $linktext : $email;
  		$return  = $before;
***************
*** 136,151 ****
  }
  
  /**
!  * Retrieve the html link to the url of the author of the current comment.
   *
   * @since 1.5.0
-  * @uses apply_filters() Calls 'get_comment_author_link' hook on the complete link HTML or author
   *
!  * @param int $comment_ID The ID of the comment for which to get the author's link. Optional.
!  * @return string Comment Author name or HTML link for author's URL
   */
  function get_comment_author_link( $comment_ID = 0 ) {
- 	/** @todo Only call these functions when they are needed. Include in if... else blocks */
  	$url    = get_comment_author_url( $comment_ID );
  	$author = get_comment_author( $comment_ID );
  
--- 170,186 ----
  }
  
  /**
!  * Retrieve the HTML link to the URL of the author of the current comment.
!  *
!  * Both get_comment_author_url() and get_comment_author() rely on get_comment(),
!  * which falls back to the global comment variable if the $comment_ID argument is empty.
   *
   * @since 1.5.0
   *
!  * @param int $comment_ID Optional. The ID of the comment for which to get the author's link. Default current comment.
!  * @return string The comment author name or HTML link for author's URL.
   */
  function get_comment_author_link( $comment_ID = 0 ) {
  	$url    = get_comment_author_url( $comment_ID );
  	$author = get_comment_author( $comment_ID );
  
***************
*** 153,159 ****
  		$return = $author;
  	else
  		$return = "<a href='$url' rel='external nofollow' class='url'>$author</a>";
! 	return apply_filters('get_comment_author_link', $return);
  }
  
  /**
--- 188,202 ----
  		$return = $author;
  	else
  		$return = "<a href='$url' rel='external nofollow' class='url'>$author</a>";
! 
! 	/**
! 	 * Filter the comment author's link for display.
! 	 *
! 	 * @since 1.5.2
! 	 *
! 	 * @param string $return The HTML-formatted comment author link. Empty for an invalid URL.
! 	 */
! 	return apply_filters( 'get_comment_author_link', $return );
  }
  
  /**
***************
*** 162,168 ****
   * @since 0.71
   * @see get_comment_author_link() Echoes result
   *
!  * @param int $comment_ID The ID of the comment for which to print the author's link. Optional.
   */
  function comment_author_link( $comment_ID = 0 ) {
  	echo get_comment_author_link( $comment_ID );
--- 205,211 ----
   * @since 0.71
   * @see get_comment_author_link() Echoes result
   *
!  * @param int $comment_ID Optional. The ID of the comment for which to print the author's link. Default current comment.
   */
  function comment_author_link( $comment_ID = 0 ) {
  	echo get_comment_author_link( $comment_ID );
***************
*** 172,195 ****
   * Retrieve the IP address of the author of the current comment.
   *
   * @since 1.5.0
-  * @uses $comment
-  * @uses apply_filters()
   *
!  * @param int $comment_ID The ID of the comment for which to get the author's IP address. Optional.
   * @return string The comment author's IP address.
   */
  function get_comment_author_IP( $comment_ID = 0 ) {
  	$comment = get_comment( $comment_ID );
! 	return apply_filters('get_comment_author_IP', $comment->comment_author_IP);
  }
  
  /**
   * Display the IP address of the author of the current comment.
   *
   * @since 0.71
-  * @see get_comment_author_IP() Echoes Result
   *
!  * @param int $comment_ID The ID of the comment for which to print the author's IP address. Optional.
   */
  function comment_author_IP( $comment_ID = 0 ) {
  	echo get_comment_author_IP( $comment_ID );
--- 215,243 ----
   * Retrieve the IP address of the author of the current comment.
   *
   * @since 1.5.0
   *
!  * @param int $comment_ID Optional. The ID of the comment for which to get the author's IP address. Default current comment.
   * @return string The comment author's IP address.
   */
  function get_comment_author_IP( $comment_ID = 0 ) {
  	$comment = get_comment( $comment_ID );
! 
! 	/**
! 	 * Filter the comment author's returned IP address.
! 	 *
! 	 * @since 1.5.2
! 	 *
! 	 * @param string $comment->comment_author_IP The comment author's IP address.
! 	 */
! 	return apply_filters( 'get_comment_author_IP', $comment->comment_author_IP );
  }
  
  /**
   * Display the IP address of the author of the current comment.
   *
   * @since 0.71
   *
!  * @param int $comment_ID Optional. The ID of the comment for which to print the author's IP address. Default current comment.
   */
  function comment_author_IP( $comment_ID = 0 ) {
  	echo get_comment_author_IP( $comment_ID );
***************
*** 199,207 ****
   * Retrieve the url of the author of the current comment.
   *
   * @since 1.5.0
-  * @uses apply_filters() Calls 'get_comment_author_url' hook on the comment author's URL
   *
!  * @param int $comment_ID The ID of the comment for which to get the author's URL. Optional.
   * @return string
   */
  function get_comment_author_url( $comment_ID = 0 ) {
--- 247,254 ----
   * Retrieve the url of the author of the current comment.
   *
   * @since 1.5.0
   *
!  * @param int $comment_ID Optional. The ID of the comment for which to get the author's URL. Default current comment.
   * @return string
   */
  function get_comment_author_url( $comment_ID = 0 ) {
***************
*** 215,227 ****
   * Display the url of the author of the current comment.
   *
   * @since 0.71
-  * @uses apply_filters()
-  * @uses get_comment_author_url() Retrieves the comment author's URL
   *
!  * @param int $comment_ID The ID of the comment for which to print the author's URL. Optional.
   */
  function comment_author_url( $comment_ID = 0 ) {
! 	echo apply_filters('comment_url', get_comment_author_url( $comment_ID ));
  }
  
  /**
--- 262,280 ----
   * Display the url of the author of the current comment.
   *
   * @since 0.71
   *
!  * @param int $comment_ID Optional. The ID of the comment for which to print the author's URL. Default current comment.
   */
  function comment_author_url( $comment_ID = 0 ) {
! 	$author_url = get_comment_author_url( $comment_ID );
! 	/**
! 	 * Filter the comment author's URL for display.
! 	 *
! 	 * @since 1.2.1
! 	 *
! 	 * @param string $author_url The comment author's URL.
! 	 */
! 	echo apply_filters( 'comment_url', $author_url );
  }
  
  /**
***************
*** 235,246 ****
   * in the order of $before, link, and finally $after.
   *
   * @since 1.5.0
-  * @uses apply_filters() Calls the 'get_comment_author_url_link' on the complete HTML before returning.
   *
!  * @param string $linktext The text to display instead of the comment author's email address
!  * @param string $before The text or HTML to display before the email link.
!  * @param string $after The text or HTML to display after the email link.
!  * @return string The HTML link between the $before and $after parameters
   */
  function get_comment_author_url_link( $linktext = '', $before = '', $after = '' ) {
  	$url = get_comment_author_url();
--- 288,298 ----
   * in the order of $before, link, and finally $after.
   *
   * @since 1.5.0
   *
!  * @param string $linktext Optional. The text to display instead of the comment author's email address. Default empty.
!  * @param string $before   Optional. The text or HTML to display before the email link. Default empty.
!  * @param string $after    Optional. The text or HTML to display after the email link. Default empty.
!  * @return string The HTML link between the $before and $after parameters.
   */
  function get_comment_author_url_link( $linktext = '', $before = '', $after = '' ) {
  	$url = get_comment_author_url();
***************
*** 250,267 ****
  	if ( '/' == substr($display, -1) )
  		$display = substr($display, 0, -1);
  	$return = "$before<a href='$url' rel='external'>$display</a>$after";
! 	return apply_filters('get_comment_author_url_link', $return);
  }
  
  /**
   * Displays the HTML link of the url of the author of the current comment.
   *
   * @since 0.71
-  * @see get_comment_author_url_link() Echoes result
   *
!  * @param string $linktext The text to display instead of the comment author's email address
!  * @param string $before The text or HTML to display before the email link.
!  * @param string $after The text or HTML to display after the email link.
   */
  function comment_author_url_link( $linktext = '', $before = '', $after = '' ) {
  	echo get_comment_author_url_link( $linktext, $before, $after );
--- 302,326 ----
  	if ( '/' == substr($display, -1) )
  		$display = substr($display, 0, -1);
  	$return = "$before<a href='$url' rel='external'>$display</a>$after";
! 
! 	/**
! 	 * Filter the comment author's returned URL link.
! 	 *
! 	 * @since 1.5.2
! 	 *
! 	 * @param string $return The HTML-formatted comment author URL link.
! 	 */
! 	return apply_filters( 'get_comment_author_url_link', $return );
  }
  
  /**
   * Displays the HTML link of the url of the author of the current comment.
   *
   * @since 0.71
   *
!  * @param string $linktext Optional. The text to display instead of the comment author's email address. Default empty.
!  * @param string $before   Optional. The text or HTML to display before the email link. Default empty.
!  * @param string $after    Optional. The text or HTML to display after the email link. Default empty.
   */
  function comment_author_url_link( $linktext = '', $before = '', $after = '' ) {
  	echo get_comment_author_url_link( $linktext, $before, $after );
***************
*** 272,281 ****
   *
   * @since 2.7.0
   *
!  * @param string|array $class One or more classes to add to the class list
!  * @param int $comment_id An optional comment ID
!  * @param int $post_id An optional post ID
!  * @param bool $echo Whether comment_class should echo or return
   */
  function comment_class( $class = '', $comment_id = null, $post_id = null, $echo = true ) {
  	// Separates classes with a single space, collates classes for comment DIV
--- 331,340 ----
   *
   * @since 2.7.0
   *
!  * @param string|array $class      Optional. One or more classes to add to the class list. Default empty.
!  * @param int          $comment_id Optional. Comment ID. Default current comment.
!  * @param int|WP_Post  $post_id    Optional. Post ID or WP_Post object. Default current post.
!  * @param bool         $echo       Optional. Whether comment_class should echo or return. Default true.
   */
  function comment_class( $class = '', $comment_id = null, $post_id = null, $echo = true ) {
  	// Separates classes with a single space, collates classes for comment DIV
***************
*** 291,300 ****
   *
   * @since 2.7.0
   *
!  * @param string|array $class One or more classes to add to the class list
!  * @param int $comment_id An optional comment ID
!  * @param int $post_id An optional post ID
!  * @return array Array of classes
   */
  function get_comment_class( $class = '', $comment_id = null, $post_id = null ) {
  	global $comment_alt, $comment_depth, $comment_thread_alt;
--- 350,359 ----
   *
   * @since 2.7.0
   *
!  * @param string|array $class      Optional. One or more classes to add to the class list. Default empty.
!  * @param int          $comment_id Optional. Comment ID. Default current comment.
!  * @param int|WP_Post  $post_id    Optional. Post ID or WP_Post object. Default current post.
!  * @return array An array of classes.
   */
  function get_comment_class( $class = '', $comment_id = null, $post_id = null ) {
  	global $comment_alt, $comment_depth, $comment_thread_alt;
***************
*** 355,373 ****
  
  	$classes = array_map('esc_attr', $classes);
  
! 	return apply_filters('comment_class', $classes, $class, $comment_id, $post_id);
  }
  
  /**
   * Retrieve the comment date of the current comment.
   *
   * @since 1.5.0
-  * @uses apply_filters() Calls 'get_comment_date' hook with the formatted date and the $d parameter respectively
-  * @uses $comment
   *
!  * @param string $d The format of the date (defaults to user's config)
!  * @param int $comment_ID The ID of the comment for which to get the date. Optional.
!  * @return string The comment's date
   */
  function get_comment_date( $d = '', $comment_ID = 0 ) {
  	$comment = get_comment( $comment_ID );
--- 414,440 ----
  
  	$classes = array_map('esc_attr', $classes);
  
! 	/**
! 	 * Filter the returned CSS classes for the current comment.
! 	 *
! 	 * @since 2.7.0
! 	 *
! 	 * @param array       $classes    An array of comment classes.
! 	 * @param string      $class      A comma-separated list of additional classes added to the list.
! 	 * @param int         $comment_id The comment id.
! 	 * @param int|WP_Post $post_id    The post ID or WP_Post object.
! 	 */
! 	return apply_filters( 'comment_class', $classes, $class, $comment_id, $post_id );
  }
  
  /**
   * Retrieve the comment date of the current comment.
   *
   * @since 1.5.0
   *
!  * @param string $d          Optional. The format of the date. Default user's setting.
!  * @param int    $comment_ID Optional. The ID of the comment for which to get the date. Default current comment.
!  * @return string The comment's date.
   */
  function get_comment_date( $d = '', $comment_ID = 0 ) {
  	$comment = get_comment( $comment_ID );
***************
*** 375,381 ****
  		$date = mysql2date(get_option('date_format'), $comment->comment_date);
  	else
  		$date = mysql2date($d, $comment->comment_date);
! 	return apply_filters('get_comment_date', $date, $d);
  }
  
  /**
--- 442,456 ----
  		$date = mysql2date(get_option('date_format'), $comment->comment_date);
  	else
  		$date = mysql2date($d, $comment->comment_date);
! 	/**
! 	 * Filter the returned comment date.
! 	 *
! 	 * @since 1.5.2
! 	 *
! 	 * @param string|int $date Formatted date string or Unix timestamp.
! 	 * @param string     $d    The format of the date.
! 	 */
! 	return apply_filters( 'get_comment_date', $date, $d );
  }
  
  /**
***************
*** 383,390 ****
   *
   * @since 0.71
   *
!  * @param string $d The format of the date (defaults to user's config)
!  * @param int $comment_ID The ID of the comment for which to print the date. Optional.
   */
  function comment_date( $d = '', $comment_ID = 0 ) {
  	echo get_comment_date( $d, $comment_ID );
--- 458,465 ----
   *
   * @since 0.71
   *
!  * @param string $d          Optional. The format of the date. Default user's settings.
!  * @param int    $comment_ID Optional. The ID of the comment for which to print the date. Default current comment.
   */
  function comment_date( $d = '', $comment_ID = 0 ) {
  	echo get_comment_date( $d, $comment_ID );
***************
*** 398,408 ****
   * will appear.
   *
   * @since 1.5.0
-  * @uses $comment
-  * @uses apply_filters() Calls 'get_comment_excerpt' on truncated comment
   *
!  * @param int $comment_ID The ID of the comment for which to get the excerpt. Optional.
!  * @return string The maybe truncated comment with 20 words or less
   */
  function get_comment_excerpt( $comment_ID = 0 ) {
  	$comment = get_comment( $comment_ID );
--- 473,481 ----
   * will appear.
   *
   * @since 1.5.0
   *
!  * @param int $comment_ID Optional. The ID of the comment for which to get the excerpt. Default current comment.
!  * @return string The maybe truncated comment with 20 words or less.
   */
  function get_comment_excerpt( $comment_ID = 0 ) {
  	$comment = get_comment( $comment_ID );
***************
*** 427,459 ****
   * Display the excerpt of the current comment.
   *
   * @since 1.2.0
-  * @uses apply_filters() Calls 'comment_excerpt' hook before displaying excerpt
   *
!  * @param int $comment_ID The ID of the comment for which to print the excerpt. Optional.
   */
  function comment_excerpt( $comment_ID = 0 ) {
! 	echo apply_filters('comment_excerpt', get_comment_excerpt($comment_ID) );
  }
  
  /**
   * Retrieve the comment id of the current comment.
   *
   * @since 1.5.0
-  * @uses $comment
-  * @uses apply_filters() Calls the 'get_comment_ID' hook for the comment ID
   *
!  * @return int The comment ID
   */
  function get_comment_ID() {
  	global $comment;
! 	return apply_filters('get_comment_ID', $comment->comment_ID);
  }
  
  /**
!  * Displays the comment id of the current comment.
   *
   * @since 0.71
-  * @see get_comment_ID() Echoes Result
   */
  function comment_ID() {
  	echo get_comment_ID();
--- 500,543 ----
   * Display the excerpt of the current comment.
   *
   * @since 1.2.0
   *
!  * @param int $comment_ID Optional. The ID of the comment for which to print the excerpt. Default current comment.
   */
  function comment_excerpt( $comment_ID = 0 ) {
! 	$comment_excerpt = get_comment_excerpt($comment_ID);
! 	/**
! 	 * Filter the comment excerpt for display.
! 	 *
! 	 * @since 1.2.1
! 	 *
! 	 * @param string $comment_excerpt The comment excerpt text.
! 	 */
! 	echo apply_filters( 'comment_excerpt', $comment_excerpt );
  }
  
  /**
   * Retrieve the comment id of the current comment.
   *
   * @since 1.5.0
   *
!  * @return int The comment ID.
   */
  function get_comment_ID() {
  	global $comment;
! 	/**
! 	 * Filter the returned comment ID.
! 	 *
! 	 * @since 1.5.2
! 	 *
! 	 * @param int $comment->comment_ID The current comment ID.
! 	 */
! 	return apply_filters( 'get_comment_ID', $comment->comment_ID );
  }
  
  /**
!  * Display the comment id of the current comment.
   *
   * @since 0.71
   */
  function comment_ID() {
  	echo get_comment_ID();
***************
*** 463,472 ****
   * Retrieve the link to a given comment.
   *
   * @since 1.5.0
-  * @uses $comment
   *
!  * @param object|string|int $comment Comment to retrieve.
!  * @param array $args Optional args.
   * @return string The permalink to the given comment.
   */
  function get_comment_link( $comment = null, $args = array() ) {
--- 547,555 ----
   * Retrieve the link to a given comment.
   *
   * @since 1.5.0
   *
!  * @param mixed $comment Optional. Comment to retrieve. Default current comment.
!  * @param array $args    Optional. An array of arguments to override the defaults. @see get_page_of_comment()
   * @return string The permalink to the given comment.
   */
  function get_comment_link( $comment = null, $args = array() ) {
***************
*** 504,531 ****
  		$link = get_permalink( $comment->comment_post_ID );
  	}
  
! 	return apply_filters( 'get_comment_link', $link . '#comment-' . $comment->comment_ID, $comment, $args );
  }
  
  /**
!  * Retrieves the link to the current post comments.
   *
   * @since 1.5.0
   *
!  * @param int $post_id Optional post id
!  * @return string The link to the comments
   */
! function get_comments_link($post_id = 0) {
! 	return apply_filters( 'get_comments_link', get_permalink( $post_id ) . '#comments', $post_id );
  }
  
  /**
!  * Displays the link to the current post comments.
   *
   * @since 0.71
   *
!  * @param string $deprecated Not Used
!  * @param bool $deprecated_2 Not Used
   */
  function comments_link( $deprecated = '', $deprecated_2 = '' ) {
  	if ( !empty( $deprecated ) )
--- 587,633 ----
  		$link = get_permalink( $comment->comment_post_ID );
  	}
  
! 	$link = $link . '#comment-' . $comment->comment_ID;
! 	/**
! 	 * Filter the returned single comment permalink.
! 	 *
! 	 * @since 2.8.0
! 	 *
! 	 * @param string $link    The comment permalink with '#comment-$id' appended.
! 	 * @param object $comment The current comment object.
! 	 * @param array  $args    An array of arguments to override the defaults. @see get_page_of_comment()
! 	 */
! 	return apply_filters( 'get_comment_link', $link, $comment, $args );
  }
  
  /**
!  * Retrieve the link to the current post comments.
   *
   * @since 1.5.0
   *
!  * @param int|WP_Post $post_id Optional. Post ID or WP_Post object. Default current post.
!  * @return string The link to the comments.
   */
! function get_comments_link( $post_id = 0 ) {
! 	$comments_link = get_permalink( $post_id ) . '#comments';
! 	/**
! 	 * Filter the returned post comments permalink.
! 	 *
! 	 * @since
! 	 *
! 	 * @param string      $comments_link The post comments permalink with '#comments' appended.
! 	 * @param int|WP_Post $post_id       The post ID or WP_Post object.
! 	 */
! 	return apply_filters( 'get_comments_link', $comments_link, $post_id );
  }
  
  /**
!  * Display the link to the current post comments.
   *
   * @since 0.71
   *
!  * @param string $deprecated   Not Used.
!  * @param bool   $deprecated_2 Not Used.
   */
  function comments_link( $deprecated = '', $deprecated_2 = '' ) {
  	if ( !empty( $deprecated ) )
***************
*** 539,548 ****
   * Retrieve the amount of comments a post has.
   *
   * @since 1.5.0
-  * @uses apply_filters() Calls the 'get_comments_number' hook on the number of comments
   *
!  * @param int $post_id The Post ID
!  * @return int The number of comments a post has
   */
  function get_comments_number( $post_id = 0 ) {
  	$post_id = absint( $post_id );
--- 641,649 ----
   * Retrieve the amount of comments a post has.
   *
   * @since 1.5.0
   *
!  * @param int|WP_Post $post_id Optional. Post ID or WP_Post object. Default current post.
!  * @return int The number of comments a post has.
   */
  function get_comments_number( $post_id = 0 ) {
  	$post_id = absint( $post_id );
***************
*** 556,573 ****
  	else
  		$count = $post->comment_count;
  
! 	return apply_filters('get_comments_number', $count, $post_id);
  }
  
  /**
   * Display the language string for the number of comments the current post has.
   *
   * @since 0.71
-  * @uses apply_filters() Calls the 'comments_number' hook on the output and number of comments respectively.
   *
!  * @param string $zero Text for no comments
!  * @param string $one Text for one comment
!  * @param string $more Text for more than one comment
   * @param string $deprecated Not used.
   */
  function comments_number( $zero = false, $one = false, $more = false, $deprecated = '' ) {
--- 657,681 ----
  	else
  		$count = $post->comment_count;
  
! 	/**
! 	 * Filter the returned comment count for a post.
! 	 *
! 	 * @since 1.5.2
! 	 *
! 	 * @param int         $count   The number of comments a post has.
! 	 * @param int|WP_Post $post_id The post ID or WP_Post object.
! 	 */
! 	return apply_filters( 'get_comments_number', $count, $post_id );
  }
  
  /**
   * Display the language string for the number of comments the current post has.
   *
   * @since 0.71
   *
!  * @param string $zero       Optional. Text for no comments. Default false.
!  * @param string $one        Optional. Text for one comment. Default false.
!  * @param string $more       Optional. Text for more than one comment. Default false.
   * @param string $deprecated Not used.
   */
  function comments_number( $zero = false, $one = false, $more = false, $deprecated = '' ) {
